Subject: bug#31248: 27.0.50; Regression: Multibyte text in HTTP request

From: Aaron Jensen <[email-masked]>
Date: Tue, 24 Apr 2018 05:31:57 -0700

close 31248
quit

On Tue, Apr 24, 2018 at 5:23 AM, Lars Ingebrigtsen <[email-masked]> wrote:
>> Fun!  :-)
>
> The reason here is that when you put raw bytes into a multibyte string,
> Emacs has to represent that somehow, and it represents that with an
> internal coding that takes two bytes per byte.  If you get my drift.
>
> So the moral here is: That function is really, really badly designed,
> because it makes it easy (for people like me) to make these errors
> really easily.  Once I merge the `with-url' branch (which reimplements
> all the HTTP stuff) into master I hopefully won't ever have to look at
> that function again.  :-)

Wild. Well, I appreciate the explanation and the quick fix. I can
confirm that it fixes my original issue w/ ghub. Thanks again!